package com.zt.plat.module.qms.business.bus.service;

import java.util.List;

import com.alibaba.fastjson2.JSONObject;
import com.yomahub.liteflow.flow.LiteflowResponse;

import com.zt.plat.module.qms.business.bus.controller.vo.BusinessSampleEntrustRegistrationExtendRespVO;
import com.zt.plat.module.qms.business.bus.controller.vo.BusinessSampleEntrustRegistrationSubmitReqVO;
import com.zt.plat.module.qms.business.bus.liteflow.param.SampleEntrustParam;
import jakarta.validation.Valid;

public interface SampleEntrustService {

	LiteflowResponse create(@Valid SampleEntrustParam sampleEntrustParam);

	LiteflowResponse update(@Valid SampleEntrustParam sampleEntrustParam);

	BusinessSampleEntrustRegistrationExtendRespVO detail(Long id);

	void delete(Long id);
	
	JSONObject reportDetail(Long id);

	void deleteList(List<Long> ids);

	void submit(@Valid BusinessSampleEntrustRegistrationSubmitReqVO req);

}
